Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.multiaction
Class NoSuchRequestHandlingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.servlet.mvc.multiaction.NoSuchRequestHandlingMethodException

All Implemented Interfaces:
  Serializable

    public class NoSuchRequestHandlingMethodException

extends ServletException

Exception thrown when there's no request handling method for a request.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`NoSuchRequestHandlingMethodException(HttpServletRequest request)` Create a new NoSuchRequestHandlingMethodException for the given request.
`NoSuchRequestHandlingMethodException(String methodName, Class controllerClass)` Create a new NoSuchRequestHandlingMethodException for the given request.

Method Summary
`String` | `getMethodName()` Return the name of the offending method, if known.

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(HttpServletRequest request)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `request` - the offending HTTP request

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(String methodName,
                                                Class controllerClass)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `methodName` - the name of the handler method that wasn't found
    `controllerClass` - the class the handler method was expected to be in

Method Detail

### getMethodName

    public String getMethodName()

  Return the name of the offending method, if known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.